Subject: bug#74145: 31.0.50; Default lexical-binding to t

From: Stefan Kangas <[email-masked]>
Date: Thu, 13 Mar 2025 02:54:33 -0700

Eli Zaretskii <[email-masked]> writes:

>> From: Stefan Kangas <[email-masked]>
>> Date: Thu, 13 Mar 2025 00:27:20 -0700
>> Cc: [email-masked], [email-masked], [email-masked]
>>
>> Eli Zaretskii <[email-masked]> writes:
>>
>> > Please forgive me, but this again changes the subject.  The original
>> > issue was with adding a warning (and maybe other measures designed to
>> > alert users to the change and prepare them for dealing with it), not
>> > with when to change the default on the master branch.  From where I
>> > stand, we can make the change once these measures are implemented, but
>> > not before.
>>
>> OK, then let's focus on that.
>>
>> The idea is to warn is when a file is loaded without a lexical-binding
>> cookie.  We don't have a patch yet, but it should be straightforward,
>> and we agree.  Let's just do it.
>
> SGTM.

That's Bug#72672, I think, so let's use that reference.

>> Are there any other important measures that remain?
>
> I think there was a suggestion to make the mode-line indication more
> prominent or something.  Also, perhaps some prominent announcement in
> NEWS could be in order.

We could also consider Bug#66706, in case your view has changed on that.
I'd still be in favor of making the change, but if nothing has changed
there, we should probably take the opportunity to close the bug.